# nested_exception.h File Reference

Go to the source code of this file.

## Classes

- class std::nested_exception
    Exception class with exception_ptr data member. More...

## Namespaces

- namespace std

## Functions

- template<typename _Ex > const nested_exception * std::__get_nested_exception (const _Ex &__ex)
- template<typename _Ex > void std::__throw_with_nested (_Ex &&, const nested_exception *=0) __attribute__((__noreturn__))
- template<typename _Ex > void std::__throw_with_nested (_Ex &&,...) __attribute__((__noreturn__))
- void std::rethrow_if_nested (const nested_exception &__ex)
- template<typename _Ex > void std::rethrow_if_nested (const _Ex &__ex)
- template<typename _Ex > void std::throw_with_nested (_Ex __ex)

## Detailed Description

This is an internal header file, included by other headers and the implementation. You should not attempt to use it directly.

Definition in file nested_exception.h.